/* ===== Reset et styles de base ===== */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: Arial, sans-serif;
    line-height: 1.6;
    background-color: #f5f5f5;
    color: #333;
    padding: 20px;
}

/* ===== Style de la barre de navigation ===== */
#nav {
    font-size:25px;
    list-style-type: none;
    display: flex;
    background-color: #2c3e50;
    padding: 10px 20px;
    border-radius: 5px;
    justify-content: center;
    flex-wrap: wrap;
}

#nav li {
    margin: auto;
}

#nav a {
    color: white;
    text-decoration: none;
    font-size:2em;
    padding: 20px 15px;
    border-radius: 5px;
    transition: background-color 0.3s, transform 0.2s;
    display: inline-block;
    font-weight: bold;
}

#nav a:hover {
    background-color: #3498db;
    transform: scale(1.10);
}



/* ===== Style du contenu principal ===== */
main {
    max-width: 1200px;
    margin: 20px auto;
    padding: 20px;
    background-color: white;
    border-radius: 8px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}
#nav_snt {
    font-size:18px;
    list-style-type: none;
    display: flex;
    background-color: #51BDB4;
    padding: 10px 20px;
    border-radius: 5px;
    justify-content: center;
    flex-wrap: wrap;
}
#nav_snt li {
    margin: 10px;
    padding: 10px 15px;
}
#nav_snt a {
    color: white;
    text-decoration: none;
    font-size:2em;
    background-color:#5175BD;
    padding: 10px 15px;
    border-radius: 5px;
    transition: background-color 0.3s, transform 0.2s;
    display: inline-block;
    font-weight: bold;
}
#nav_snt a:hover {
    background-color: #83BD51;
    transform: scale(1.10);
}
.hero {
    text-align: center;
    padding: 20px;
    margin-bottom: 30px;
    background-color: #3498db;
    color: white;
    border-radius: 8px;
}

.hero h1 {
    font-size: 2em;
    margin-bottom: 10px;
}

.hero p {
    font-size: 1.1em;
}
h1.summary {text-align:center ;}
h1.titre{color:white;}
h2 {
    color: #2c3e50;
    margin-bottom: 15px;
}
h2.centre{text-align:center ;}
.actualites, .ressource {
    margin-bottom: 30px;
}



.actualite,.ressource,.cours {
    background-color: #ecf0f1;
    padding-left:10px ;
    margin-bottom: 20px;
    border-radius: 5px;
    border-left: 4px solid #3498db;
    font-size:20px;
}
.cours ol{margin-left:30px ;margin-bottom:20px; line-height: 2em;font-weight:bold;
}
.cours ul{margin-left:50px}
.ressource ul{margin-left:30px ; line-height: 2em;font-weight:bold;
}
.ressource h1{text-align:center ;} 
.ressource ul{margin-left:20px; }


/* ===== Style du pied de page ===== */
footer {
    text-align: center;
    padding: 15px;
    background-color: #2c3e50;
    color: white;
    margin-top: 20px;
    border-radius: 5px;
}